NisusWrtStruct::RecursifData::Node Struct Reference

the data data More...

`#include <NisusWrtStruct.hxx>`

## Public Member Functions

| Node ()
| constructor
bool | isLeaf () const
| returns true if the node is a final node

## Public Attributes

int | m_type
| the variable type
MWAWEntry | m_entry
| the entry
std::shared_ptr< RecursifData > | m_data
| the recursif data

## Detailed Description

the data data

## Constructor & Destructor Documentation

## Node()

NisusWrtStruct::RecursifData::Node::Node | ( |  | ) |

inline

constructor

## Member Function Documentation

## isLeaf()

bool NisusWrtStruct::RecursifData::Node::isLeaf | ( |  | ) | const

inline

returns true if the node is a final node

## Member Data Documentation

## m_data

std::shared_ptr<RecursifData> NisusWrtStruct::RecursifData::Node::m_data

the recursif data

Referenced by isLeaf(), Node(), and NisusWrtStruct::RecursifData::read().

## m_entry

MWAWEntry NisusWrtStruct::RecursifData::Node::m_entry

the entry

Referenced by Node(), NisusWrtStruct::RecursifData::read(), and NisusWrtParser::readReference().

## m_type

int NisusWrtStruct::RecursifData::Node::m_type

the variable type

Referenced by Node(), NisusWrtStruct::RecursifData::read(), and NisusWrtParser::readReference().

The documentation for this struct was generated from the following file:

- NisusWrtStruct.hxx